#!/bin/sh

echo "start upgrade......"
killall -9 syslogd
killall -9 klogd
killall -9 getty
killall monitor
killall -9 SayHi
killall lldpd
killall -9 udhcpc
killall eeprom-update
/mnt/system/sbin/cordless-ctrl unload
sync
echo 1 > /proc/sys/vm/drop_caches
sleep 3
mv /mnt/system/app_dsp  /usr/bin/app_dsp
mv /mnt/system/css-loader-ip  /lib/firmware/css-loader-ip
mv /mnt/system/upload.sh /usr/sbin/
chmod 777 /usr/sbin/upload.sh
mv /mnt/system/sip/ftp /mnt/sip/ftp
mkdir -p /mnt/sip/onex
mv /mnt/system/1x.cer /mnt/sip/onex/1x.cer
mv /mnt/system/iptables /usr/sbin/
chmod 777 /usr/sbin/iptables

remote=$(md5sum /mnt/system/boot/uImage|cut -d ' ' -f1)
local=$(md5sum /boot/uImage|cut -d ' ' -f1)

if [ "$remote" == "$local" ];then
	echo uImage md5 same
else
	echo uImage md5 change
	mv /mnt/system/boot/uImage /boot/uImage
fi

remote=$(md5sum /mnt/system/boot/dvf9918-evb.dtb|cut -d ' ' -f1)
local=$(md5sum /boot/dvf9918-evb.dtb|cut -d ' ' -f1)

if [ "$remote" == "$local" ];then
	echo dvf9918-evb.dtb md5 same
else
	echo dvf9918-evb.dtb md5 change
	mv /mnt/system/boot/dvf9918-evb.dtb /boot/dvf9918-evb.dtb
fi


rm -rf /tmp/*
rm -rf /mnt/system/boot/*
rm -rf /mnt/system/app_dsp
rm -rf /mnt/system/css-loader-ip

reboot -f
sleep 3
echo "upgrade  succeed and run reboot"
echo "upgrade  succeed and run reboot" >> /mnt/sip/flashcp.txt
exit 0
